package org.spbu.benchmark;

import java.util.List;

public interface Benchmark {
	public BenchmarkResult start() throws BenchmarkException;
	public List<? extends Scenario> getScenarios();
	public void setScenarios(List<? extends Scenario> scenarios);
	public void addScenario(Scenario scenario);
	public void setThreadingSettings(ThreadingSettings settings);
	public ThreadingSettings getThreadingSettings();
}
